## hpklinux-3.08.06.tar.bz2

=== lib/python/Makefile ===
#$Header: /Repository/drv/hpi/python/hpi_swig_python.mak,v 1.1.2.1 2007/11/12 19:36:57 as-ewb Exp $
# Makefile for HPI python bindings.
# NOT yet made by autoconf, so you may have to edit the include paths
# Requires swig and python-dev

VPATH = ..
INCLUDES = -I..
# For 64 bit build. Still don't know how to detect at compile time??
#DEFS = -DHPI_OS_LINUX -DHPI_EXCLUDE_IMPLEMENTATION -DHPI_64BIT
DEFS = -DHPI_OS_LINUX -DHPI_EXCLUDE_IMPLEMENTATION -DHPI_EXCLUDE_DEPRECATED
CDEBUG = -g
CFLAGS = -Wall $(CDEBUG) -I. $(INCLUDES) $(DEFS)
LDFLAGS = -g

PYTHONINCLUDE=-I/usr/include/python2.5 -I/usr/include/python


all: _hpi.so _hpiudp.so

_hpiudp.so: hpiudp_swig.o
	gcc -shared  -lhpiudp -o $@ $^


_hpi.so: hpi_swig.o hpirds.o
	gcc -shared -lhpi -o $@ $^

hpi_swig.c hpi.py: ../hpi.i ../hpi.h ../hpirds.h
	swig -python -module hpi -modern $(DEFS) -o hpi_swig.c ../hpi.i

hpi_swig.o: hpi_swig.c
	gcc -c -fpic hpi_swig.c -I.. $(DEFS) $(PYTHONINCLUDE)


hpiudp_swig.c hpiudp.py: ../hpi.i ../hpi.h
	swig -python -module hpiudp -modern $(DEFS) -o hpiudp_swig.c ../hpi.i

hpiudp_swig.o: hpiudp_swig.c
	gcc -c -fpic hpiudp_swig.c -I.. $(DEFS) $(PYTHONINCLUDE)

$(OBJECTS): hpi.h hpios_linux.h

.PHONY: clean install

install:
	cp hpiudp.py ~/python/audioscience
	cp hpi.py ~/python/audioscience
	cp _hpiudp.so ~/python/audioscience
	cp _hpi.so ~/python/audioscience

clean:
	rm *.so *.o *_swig.c

#$Log: hpi_swig_python.mak,v $
#Revision 1.1.2.1  2007/11/12 19:36:57  as-ewb
#copy from head
#
